schema_version: 1.0.0
name: test_card
id: 7636661211883913256
description: "卡片"
mode: workflow
icon: plugin_icon/workflow.png
nodes:
    - id: "100001"
      type: start
      title: 开始
      icon: https://lf3-static.bytednsdoc.com/obj/eden-cn/dvsmryvd_avi_dvsm/ljhwZthlaukjlkulzlp/icon/icon-Start-v2.jpg
      description: "工作流的起始节点，用于设定启动工作流需要的信息"
      position:
        x: 0
        y: 0
      parameters:
        node_outputs:
            input:
                type: string
                required: true
                value: null
    - id: "900001"
      type: end
      title: 结束
      icon: https://lf3-static.bytednsdoc.com/obj/eden-cn/dvsmryvd_avi_dvsm/ljhwZthlaukjlkulzlp/icon/icon-End-v2.jpg
      description: "工作流的最终节点，用于返回工作流运行后的结果信息"
      position:
        x: 1000
        y: 0
      parameters:
        node_inputs:
            - name: output
              input:
                type: list
                items:
                    type: object
                    properties:
                        documentId:
                            type: string
                            value: null
                        output:
                            type: string
                            value: null
                    value: null
                value:
                    path: outputList
                    ref_node: "176767"
        terminatePlan: returnVariables
    - id: "176767"
      type: knowledge
      title: 知识库检索
      icon: https://lf3-static.bytednsdoc.com/obj/eden-cn/dvsmryvd_avi_dvsm/ljhwZthlaukjlkulzlp/icon/icon-KnowledgeQuery-v2.jpg
      description: "在选定的知识中,根据输入变量召回最匹配的信息,并以列表形式返回"
      position:
        x: 425
        y: -13
      parameters:
        datasetParam:
            - name: datasetList
              input:
                type: list
                items:
                    type: string
                    value: null
                value:
                    - "7495689294733754380"
            - name: topK
              input:
                type: integer
                value: "5"
            - name: useRerank
              input:
                type: boolean
                value: true
            - name: useRewrite
              input:
                type: boolean
                value: true
            - name: isPersonalOnly
              input:
                type: boolean
                value: true
            - name: datasetType
              input:
                type: integer
                value: "0"
            - name: VolcanoInfoList
              input:
                type: list
                items:
                    type: object
                    value: null
                value: []
            - name: useNl2sql
              input:
                type: boolean
                value: true
            - name: minScore
              input:
                type: float
                value: "0.5"
            - name: strategy
              input:
                type: integer
                value: "1"
        node_inputs:
            - name: Query
              input:
                value:
                    path: input
                    ref_node: "100001"
            - name: enableChatHistory
              input:
                type: boolean
                value: false
            - name: chatHistoryRound
              input:
                type: float
                value: 3
        node_outputs:
            outputList:
                type: list
                items:
                    type: object
                    properties:
                        documentId:
                            type: string
                            value: null
                        output:
                            type: string
                            value: null
                    value: null
                value: null
edges:
    - source_node: "100001"
      target_node: "176767"
    - source_node: "176767"
      target_node: "900001"
